# Retrieve a revenue schedule by credit memo item ID Note: This operation is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information. Retrieves the details about a revenue schedule by specifying a valid credit memo item ID. Endpoint: GET /v1/revenue-schedules/credit-memo-items/{cmi-id} Version: 2025-12-17 ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Authorization` (string) The value is in the Bearer {token} format where {token} is a valid OAuth token generated by calling Create an OAuth token. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you do not need to set this header. ## Path parameters: - `cmi-id` (string, required) The unique ID of a credit memo item. You can get the credit memo item ID from the response of Get credit memo items. ## Response 200 fields (application/json): - `accountId` (string) An account ID. - `amount` (string) The revenue schedule amount, which is the sum of all revenue items. This field cannot be null and must be formatted based on the currency, such as JPY 30 or USD 30.15. Test out the currency to ensure you are using the proper formatting otherwise, the response will fail and this error message is returned: Allocation amount with wrong decimal places. - `createdOn` (string) The date and time when the record was created, in yyyy-mm-dd hh:mm:ss format. - `currency` (string) The type of currency used. - `linkedTransactionId` (string) The linked transaction ID for billing transactions. This field is used for all rules except for the custom unlimited or manual recognition rule models. If using the custom unlimited rule model, then the field value must be null. If the field is not null, then the referenceId field must be null. - `linkedTransactionNumber` (string) The number for the linked invoice item or invoice item adjustment transaction. This field is used for all rules except for the custom unlimited or manual recognition rule models. If using the custom unlimited or manual recognition rule models, then the field value is null. - `linkedTransactionType` (string) The type of linked transaction for billing transactions, which can be invoice item or invoice item adjustment. This field is used for all rules except for the custom unlimited or manual recognition rule models. - `notes` (string) Additional information about this record. - `number` (string) Revenue schedule number. The revenue schedule number is always prefixed with "RS", for example, "RS-00000001". - `recognitionRuleName` (string) The name of the recognition rule. - `recognizedRevenue` (string) The revenue that was distributed in a closed accounting period. - `referenceId` (string) Reference ID is used only in the custom unlimited rule to create a revenue schedule. In this scenario, the revenue schedule is not linked to an invoice item or invoice item adjustment. - `revenueItems` (array) Revenue items are listed in ascending order by the accounting period start date. - `revenueItems.accountingPeriodEndDate` (string) The accounting period end date. The accounting period end date of the open-ended accounting period is null. - `revenueItems.accountingPeriodName` (string) The name of the accounting period. The open-ended accounting period is named Open-Ended. - `revenueItems.accountingPeriodStartDate` (string) The accounting period start date. - `revenueItems.amount` (string) The amount of the revenue item. - `revenueItems.deferredRevenueAccountingCode` (string) The accounting code for deferred revenue, such as Monthly Recurring Liability. Required only when overrideChargeAccountingCodes is true. Otherwise, this value is ignored. - `revenueItems.deferredRevenueAccountingCodeType` (string) The type of the deferred revenue accounting code, such as Deferred Revenue. Required only when overrideChargeAccountingCodes is true. Otherwise, this value is ignored. - `revenueItems.isAccountingPeriodClosed` (boolean) Indicates if the accounting period is closed or open. - `revenueItems.recognizedRevenueAccountingCode` (string) The accounting code for recognized revenue, such as Monthly Recurring Charges or Overage Charges. Required only when overrideChargeAccountingCodes is true. Otherwise, the value is ignored. - `revenueItems.recognizedRevenueAccountingCodeType` (string) The type of the recognized revenue accounting code, such as Sales Revenue or Sales Discount. Required only when overrideChargeAccountingCodes is true. Otherwise, this value is ignored. - `revenueScheduleDate` (string) The effective date of the revenue schedule. For example, the revenue schedule date for bookings-based revenue recognition is typically set to the order date or contract date. The date cannot be in a closed accounting period. The date must be in yyyy-mm-dd format. - `subscriptionChargeId` (string) The original subscription charge ID. - `subscriptionId` (string) The original subscription ID. - `success` (boolean) Returns true if the request was processed successfully. - `undistributedUnrecognizedRevenue` (string) Revenue in the open-ended accounting period. - `unrecognizedRevenue` (string) Revenue distributed in all open accounting periods, which includes the open-ended accounting period. - `updatedOn` (string) The date and time when the revenue automation start date was set, in yyyy-mm-dd hh:mm:ss formst.